roundcube-plugins-extra (1.4.8+1-1) unstable; urgency=medium

  * d/patches/fix-thunderbird-labels-coffee2js.patch: Mark 'Forwarded:
    not-needed'.
  * Update authres-status to version 0.6.2 from 0.6.1, which adds DMARC
    support.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 06 Sep 2020 16:15:24 +0200

roundcube-plugins-extra (1.4.7+1-1) unstable; urgency=medium

  * New upstream release:
    - Update thunderbird-labels to version 1.4.8 from 1.4.6.
    - Update authres-status to version 0.6.1 from 0.5.2.  This includes new
      CSS for Roundcube's default "Elastic" theme which displays the
      authentication status more prominently.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 15 Jul 2020 17:33:05 +0200

roundcube-plugins-extra (1.4.6+1-1) unstable; urgency=low

  * Change versioning scheme to $roundcube_version+$revision-$debian_revision.
    This gives more flexibility as it allows upgrading plugins between two
    Roundcube package uploads, and even two uploads the same day.  This change
    doesn't require an epoch.
  * debian/plugins/*/watch: Remove unused watch option 'oversionmangle'.
  * debian/scripts/plugins.py: Don't download/unpack orig tarballs.  We use
    `debian/scripts/get-orig-tarballs` and `debian/scripts/extract-tarballs`
    for that.
  * debian/scripts/get-orig-tarballs:
    + Download orig tarballs into ${USCAN_DESTDIR:-..}.
    + Repack using mk-origtargz(1), so we don't have to parse d/copyright
      ourselves or define other exclude patterns.
  * debian/scripts/extract-tarballs:
    + Get orig tarballs from ${USCAN_DESTDIR:-..}.
    + Automatically update the git tree.
  * debian/copyright: Add generated CSS/JS to Files-Excluded-*:.
  * Update thunderbird-labels to version 1.4.6 from 1.4.2
  * debian/rules: Fix FTBFS on systems where lessc(1) uses node 12.18.0.
  * debian/rules: Also minify CSS.  This adds yui-compressor to Build-Depends.
  * debian/patches, debian/rules: Don't patch the LESS sources so the CSS can
    easily be rebuilt on the target system if desired.
  * debian/control: Drop dependency on libjs-jquery-mousewheel.  contextmenu
    doesn't use it anymore since version 1.13.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 15 Jun 2020 18:48:48 +0200

roundcube-plugins-extra (1.4.4-20200603) unstable; urgency=medium

  * d/control: Update Maintainer: field to use @alioth-lists.debian.net not
     deprecated @lists.alioth.debian.org.
  * Update contextmenu to 3.2 from 3.1
  * Update sauserprefs to 1.18.2 from 1.18.1
  * d/control: Bump minimum Roundcube version to 1.4.4 (for contextmenu 3.2).
  * Bump debhelper compatibility level to 13.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 03 Jun 2020 15:30:18 +0200

roundcube-plugins-extra (1.4.0-20200423) unstable; urgency=low

  * Rename d/source.lintian-overrides to d/source/lintian-overrides.
  * d/control: Bump debhelper compatibility level to 12 and set
    debhelper-compat version in Build-Depends.
  * d/control: Set 'Rules-Requires-Root: no'.
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed).
  * d/roundcube-plugins-extra.lintian-overrides: Use wildcard in path name.
  * d/rules: Check DEB_BUILD_OPTIONS in override_dh_auto_test.
  * d/control: Replace yui-compressor with closure-compiler in Build-Depends.
  * d/rules: Replace yui-compressor with closure-compiler as JavaScript
    minifier for consistency with Roundcube upstream (and >=1.4 in Debian).
  * d/plugins/*/watch: Bump format version to 4 from 3 (no change needed).
  * d/plugins/*/watch: Relax matching version pattern to v?(\d[\d.]*).
    roundcube-thunderbird_labels started prefixing versions with a 'v' in
    >1.0.0 (released 2014), causing uscan(1) to fail to discover later
    versions.
  * d/scripts/plugins.py: Preserve 'InstallName' field and value across
    plugins.overview updates.
  * Update contextmenu to 3.1 from 2.3
  * Update sauserprefs to 1.18.1 from 1.17.1
  * Update thunderbird-labels to 1.4.2 from 1.0.0 (closes: #940205)
  * Remove markasjunk2 (subsumed by markasjunk from roundcube-plugins)
  * Remove sieverules (subsumed by managesieve from roundcube-plugins)
  * Replace unmaintained dkimstatus plugin by new plugin authres_status
    (closes: #948030)
  * New plugin html5-notifier (Desktop Notifications for Roundcube)
  * d/control: Bump minimum Roundcube version to 1.4.0.
  * d/control: New Build-Depends: coffeescript (used to rebuild
    thunderbird-labels/tb_label.js from its .coffee sources).
  * d/control: New Build-Depends: node-less (used to rebuild generated CSS
    from their .less sources).  This in turns pulls in roundcube-core to
    Build-Depends:.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 23 Apr 2020 19:31:33 +0200

roundcube-plugins-extra (1.3.8-20190219) unstable; urgency=low

  [ Guilhem Moulin ]
  * debian/control:
    + Add self to Uploaders.
    + Bump Standards-Version to 4.1.4.  Replace priority 'extra' with
      'optional'.
    + Migrate Vcs-Browser and Vcs-Git from Alioth to Salsa.

  [ Sandro Knauß ]
  * Update keyboard-shortcuts to 2.5
  * Update message-highlight to 4.4
  * Update markasjunk2 to 1.11.2
  * Update sauserprefs to 1.17.1
  * Rename plugins to correct name (Closes: #888765):
    - thunderbird-labels -> thunderbird_labels
    - compose-addressbook -> compose_addressbook
    - dovecot-impersonate -> dovecot_impersonate
    - keyboard-shortcuts -> keyboard_shortcuts
    - message-highlight -> message_highlight
    - thunderbird-labels -> thunderbird_labels
  * Update watch files for components.
  * Update Build-Deps (debhelper 11).
  * Requires new roundcube (1.3.8).
  * Update patch hunks.
  * Bump Standards-Version to 4.3.0 (no changes needed).

 -- Sandro Knauß <hefee@debian.org>  Tue, 19 Feb 2019 20:35:30 +0100

roundcube-plugins-extra (1.3.0-20170826) unstable; urgency=medium

  * Update markasjunk to 1.11.1
  * Update sauserprefs to 1.17
  * Update contextmenu to 2.3
  * Update listcommands to 2.5.2
  * Update message-highlight to 3.1
  * Bump compat level to 10 (no changes needed).
  * Update Standards-Version to 4.1.0 (no changes needed).

 -- Sandro Knauß <hefee@debian.org>  Sat, 09 Sep 2017 17:37:00 +0200

roundcube-plugins-extra (1.2.1-20160803) unstable; urgency=medium

  * Update listcommands to 2.4
  * Update links to use https instead of http
  * Resort Uploaders and Maintainer
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Update comapt level (no changes needed)
  * Update lintian overrides

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 03 Aug 2016 15:18:08 +0200

roundcube-plugins-extra (1.1.3-20151025) unstable; urgency=medium

  [ Vincent Bernat ]
  * Dependency on appropriate roundcube version.

  [ Sandro Knauß ]
  * rename all plugins without version number
  * Add nonminified js code
    - Add yui-compressor as build-dep
  * Update patches to point to the correct files.
  * use uscan to search and update the plugins.
  * Also install readme.md and MANUAL.md in docs dir
  * There is no sieverules/lib/Net/Sieve.php anymore
    - delete dependency for php-net-sieve
  * Added overrides file
  * Bump Standards-Version to 3.9.6
    - Update copyright to copyright-format/1.0
  * Updated fail2ban to 1.3
  * Updated sieverules to 2.3

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 24 Oct 2015 21:59:41 +0200

roundcube-plugins-extra (1.1.2-20150821) unstable; urgency=medium

  * Ensure compatibility with Roundcube 1.1.2.
    (Closes: #783679)
  * Updated contextmenu to 2.1.2
  * Updated dovecot-impersonate to 2.1
  * Updated fail2ban to 1.2
  * Updated keyboard_shortcuts to 2.4.1
  * Updated listcommands to 2.3.5
  * Updated markasjunk2 to 1.9
  * Updated message-highlight to 2.6
  * Updated sauserprefs to 1.15
  * Updated sieverules to 2.2
  * Updated thunderbird_labels to 1.0.0
  * remove copymessage - merged into roundcube core
  * remove quickrules - merged with sieverules
  * Updated patches
  * Updated copyright file
  * Added myself to Uploaders.

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 21 Aug 2015 13:52:03 +0200

roundcube-plugins-extra (0.9.2-20130819) unstable; urgency=low

  * Ensure compatibility with Roundcube 0.9.2.
    (Closes: #657035, #671411, #711720, #719521)
  * Remove zipdownload as its part of Roundcube since 0.9.
  * Upgrade compose_addressbook to version 8.0.4. (Closes: #699331)
  * Upgrade contextmenu to version 1.10-20130303+dfsg.
  * Upgrade copymessage to version 1.3-20130224.
  * Upgrade dovecot_impersonate to version 2.0:
    - Refresh make-dovecot-impersonate-compatible-with-sieverules.patch.
  * Upgrade keyboard_shortcuts to version 2.1:
    - Refresh add-keyboard-shortcuts-l10n-fr.patch.
    - Refresh fix-keyboard-shortcuts-i18n.patch
  * Upgrade listcommands to version 2.2.3:
    - Remove obsolete add-listcommands-l10n-fr.patch
  * Upgrade markasjunk2 to version 1.6-20130427.
  * Upgrade message_highlight to version 2.3.
  * Upgrade quickrules to version 1.4-20130224.
  * Upgrade sauserprefs to version 1.10-20130224.
  * Upgrade sieverules to version 1.18-20130507.
  * Add thunderbird_labels (0.9)
  * Add support for .bz2 tarballs in get-orig-tarballs.
  * Also install files named 'Changelog' to handle thunderbird_labels.
  * Correctly sort plugins by name in debian/plugins.
  * Stop storing sources with Debian patches applied.
  * Switch to use --auto-compress tar flag in extract-tarballs.
  * Teach extract-tarballs about bz2 and xz compressed sources.
  * Use the more specific Expat instead of MIT in debian/copyright.

  [ Jan Wagner ]
  * Add missing copyright for jquery.maskedinput.js

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 19 Aug 2013 18:57:51 +0200

roundcube-plugins-extra (0.7-20120110) unstable; urgency=low

  * Upgrade contextmenu to version 1.8-20111210.
  * Upgrade copymessage to version 1.1-20111122.
  * Upgrade dkimstatus to version 4.8.
  * Upgrade fail2ban to version 1.1+20111109:
    - Refresh debian/patches/adjust-fail2ban-readme.patch.
  * Drop jqueryui, now part of Roundcube releases:
    - Bump Depends to Roundcube >= 0.7-3~,
    - Remove Depends on libjs-jquery-ui,
    - Drop debian/patches/use-debian-jquery-ui.patch.
  * Upgrade markasjunk2 to version 1.3-20111210.
  * Upgrade quickrules to version 1.0-20111210.
  * Upgrade sieverules to version 1.16-20111210.
  * Upgrade sauserprefs to version 1.7-20111210.
  * Upgrade zipdownload to version 1.3-20111210.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 10 Jan 2012 18:28:16 +0100

roundcube-plugins-extra (0.6-20111030) unstable; urgency=low

  * Use system-wide PEAR Net_Sieve instead of the embedded copy in sieverules.
    (Closes: #645637)

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 05 Nov 2011 14:36:17 +0100

roundcube-plugins-extra (0.6-20111017) unstable; urgency=low

  * Plugins now target Roundcube version 0.6.
  * Fix internationalization issue in keyboard_shortcuts.
  * Add french localization to keyboard_shortcuts.
  * Add french localization to listcommands.
  * Upgrade contextmenu to version 1.8-20110902.
  * Upgrade copymessage to version 1.1-20110218.
  * Upgrade markasjunk2 to version 1.3-20110922.
  * Add quickrules (1.0-20110926).
  * Upgrade sieverules to version 1.14-20110924.
  * Make dovecot_impersonate compatible with sieverules.
  * Upgrade zipdownload to version 1.3-20110619.
  * Adjust source and version for sauserprefs.
  * Update and fix debian/copyright.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 17 Oct 2011 11:46:14 +0200

roundcube-plugins-extra (0.5.4-20110919) unstable; urgency=low

  * Bump version number for Roundcube to 0.5.4.
  * Upgrade sieverules to version 1.11-20110813.
  * Label jqueryui as version 1.8+dfsg instead of 1.8.12+dfsg.
  * Upgrade sauserprefs to version 1.6-20110828.
  * Upgrade markasjunk2 to version 1.3.
  * Fix typo in debian/copyright.
  * Use system-wide jQuery Mousewheel plugin in contextmenu.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 19 Sep 2011 17:13:54 +0200

roundcube-plugins-extra (0.5.3-20110719) unstable; urgency=low

  * Compress plain tar archives in debian/scripts/get-orig-tarballs.
  * Exclude INSTALL and Exclude-patterns from installed files.
  * Add fail2ban (1.1).
  * Add zipdownload (1.3).
  * Add dkimstatus (4.7).

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 19 Jul 2011 15:58:07 +0200

roundcube-plugins-extra (0.5.3-20110619) unstable; urgency=low

  * Initial release.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 19 Jun 2011 02:59:56 +0200
